AccessibleAttributeSequence (Java Platform SE 8 )
Keywords: javax.accessibility.AccessibleAttributeSequence class
Date: 2026-04-22

javax.accessibility

## Class AccessibleAttributeSequence

- java.lang.Object
- - javax.accessibility.AccessibleAttributeSequence

-     public class AccessibleAttributeSequence
      extends Object

  This class collects together the span of text that share the same contiguous set of attributes, along with that set of attributes. It is used by implementors of the class `AccessibleContext` in order to generate `ACCESSIBLE_TEXT_ATTRIBUTES_CHANGED` events.
  See Also:
    `AccessibleContext`, `AccessibleContext.ACCESSIBLE_TEXT_ATTRIBUTES_CHANGED`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `AttributeSet` | `attributes` The text attributes
    `int` | `endIndex` The end index of the text sequence
    `int` | `startIndex` The start index of the text sequence

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessibleAttributeSequence(int start, int end, AttributeSet attr)` Constructs an `AccessibleAttributeSequence` with the given parameters.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### startIndex

          public int startIndex

      The start index of the text sequence

    - #### endIndex

          public int endIndex

      The end index of the text sequence

    - #### attributes

          public AttributeSet attributes

      The text attributes

  - ### Constructor Detail

    - #### AccessibleAttributeSequence

          public AccessibleAttributeSequence(int start,
                                             int end,
                                             AttributeSet attr)

      Constructs an `AccessibleAttributeSequence` with the given parameters.
      Parameters:
        `start` - the beginning index of the span of text
        `end` - the ending index of the span of text
        `attr` - the `AttributeSet` shared by this text span
      Since:
        1.6

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.